<?php  
/**
 * Createing an about us pannel for customizer
 *
 */
// TEAM SECTION START HERE 
/*============TEAM SECTION PANEL============*/
$wp_customize->add_section(
	'lz_fitness_ct_team_section',
	array(
		'title'         => __( 'Team Section', 'lz-fitness-premium' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
	'lz_fitness_ct_team_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_ct_team_section_disable',
		array(
			'settings'      => 'lz_fitness_ct_team_section_disable',
			'section'       => 'lz_fitness_ct_team_section',
			'label'         => __( 'Enable/Disable Section', 'lz-fitness-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'lz-fitness-premium' ),
				'off' => __( 'No', 'lz-fitness-premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'ctteam', 'lz_fitness_ct_team_section', $color='#f5f5f5');
// to show & hide another button
$wp_customize->add_setting( 'teamsectionsjape_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'teamsectionsjape_button_display', array( 'label' => 'Tringle shape Display', 'section' => 'lz_fitness_ct_team_section', 'settings' => 'teamsectionsjape_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Tringle shape', 'hide' => 'Hide Tringle shape', ), ) ); 
// end to show & hide button

//addColorPalatOption($wp_customize, 'lz_fitness_team_trianglebgssbxColor', 'lz_fitness_ct_team_section', 'Select Tringle Box Background color', '#f5f5f5');

$wp_customize->add_setting(
	'lz_fitness_team_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_team_title_subtitle_heading',
		array(
			'settings'      => 'lz_fitness_team_title_subtitle_heading',
			'section'       => 'lz_fitness_ct_team_section',
			'label'         => __( 'Section Title & Section Subtitle', 'lz-fitness-premium' ),
		)
	)
);


$wp_customize->add_setting(
	'lz_fitness_team_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Our Team', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_team_title',
	array(
		'settings'      => 'lz_fitness_team_title',
		'section'       => 'lz_fitness_ct_team_section',
		'type'          => 'text',
		'label'         => __( 'Section Title', 'lz-fitness-premium' )
	)
);
addColorPalatOption($wp_customize, 'lz_fitness_team_sectiontitleColor', 'lz_fitness_ct_team_section', 'Select Section Title color','#313131');


$wp_customize->add_setting(
	'lz_fitness_team_subtitle',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'consectetur adipiscing elit. Vivamus eu pharetra ex. Etiam eget diam ligula. Sed at blandit ante. Vivamus feugiat.', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_team_subtitle',
	array(
		'settings'      => 'lz_fitness_team_subtitle',
		'section'       => 'lz_fitness_ct_team_section',
		'type'          => 'textarea',
		'label'         => __( 'Section Sub Title', 'lz-fitness-premium' )
	)
);
addColorPalatOption($wp_customize, 'lz_fitness_team_sectionsubtitleColor', 'lz_fitness_ct_team_section', 'Select Section Sub Title color','#6d6c6c');



/*for note text*/
$wp_customize->add_setting('lz_team_sectionnoteser_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'lz_team_sectionnoteser_lbl',
        array(
            'settings'      => 'lz_team_sectionnoteser_lbl',
            'section'       => 'lz_fitness_ct_team_section',
            'label'         => __( 'Note:', 'Hexagon' ),    
            'description'   => __( 'Just place the shortcode "[TEAMLIST]" in your page to Show all team members in a page', 'Hexagon' ),
        )
    )
);

$wp_customize->add_setting('lz_fitness_teammembername_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Info_Text( 
		$wp_customize,
		'lz_fitness_teammembername_section_lbl',
		array(
			'settings'		=> 'lz_fitness_teammembername_section_lbl',
			'section'		=> 'lz_fitness_ct_team_section',
			'label'			=> __( 'Note:', 'Hexagon' ),	
			'description'	=> __( 'Add team member images of equal height, recommend image height of size 277px', 'Hexagon' ),
		)
	)
);
/*for note text*/

$wp_customize->add_setting('lz_fitness_team_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_team_npp_heading',
		array(
			'settings'      => 'lz_fitness_team_npp_heading',
			'section'       => 'lz_fitness_ct_team_section',
			'label'         => __( 'Number Of team members to show', 'lz-fitness-premium' ),
		)
	)
);    
$wp_customize->add_setting('lz_fitness_team_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 3));
$wp_customize->add_control(
	'lz_fitness_team_npp_count',
	array(
		'settings'      => 'lz_fitness_team_npp_count',
		'section'       => 'lz_fitness_ct_team_section',
		'type'          => 'select',
		'label'         => __( 'Number of team members to show', 'lz-fitness-premium' ),
		'choices'=>array(1,2,3,4,5,6,7,8)
	)
);

// TEAM PAGES
for( $i = 1; $i <= 8; $i++ ){
	$wp_customize->add_setting(
		'lz_fitness_team_heading'.$i,
		array(
			'sanitize_callback' => 'lz_fitness_sanitize_text'
		)
	);
	$wp_customize->add_control(
		new lz_fitness_Customize_Heading(
			$wp_customize,
			'lz_fitness_team_heading'.$i,
			array(
				'settings'      => 'lz_fitness_team_heading'.$i,
				'section'       => 'lz_fitness_ct_team_section',
				'label'         => __( 'Team Member ', 'lz-fitness-premium' ).$i,
			)
		)
	);
	if(is_array($lzFitnessTeamsSingleChoice)){
		$wp_customize->add_setting(
			'lz_fitness_team_page'.$i,
			array(
				'sanitize_callback' => 'absint'
			)
		);
		$wp_customize->add_control(
			'lz_fitness_team_page'.$i,
			array(
				'settings'      => 'lz_fitness_team_page'.$i,
				'section'       => 'lz_fitness_ct_team_section',
				'type'=> 'select',
				'label'         => __( 'Select a Team Member', 'lz-fitness-premium' ),
				'choices' => $lzFitnessTeamsSingleChoice,
			)
		);
	}else{
		$wp_customize->add_setting('lz_fitness_ct_team_section_lbl'.$i, array('sanitize_callback'=>'lz_fitness_sanitize_text'));
		$wp_customize->add_control(
			new lz_fitness_Info_Text( 
				$wp_customize,
				'lz_fitness_ct_team_section_lbl'.$i,
				array(
					'settings'		=> 'lz_fitness_ct_team_section_lbl'.$i,
					'section'		=> 'lz_fitness_ct_team_section',
					'label'			=> __( 'Note:', 'lz-fitness-premium' ),	
					'description'	=> __( '<strong>Changes will not reflect unless you select the team member.</strong> <br/>Please add the team from "Teams menu" and then select team member to show information.', 'lz-fitness-premium' ),
				)
			)
		);
	}
}
// for gradiant

$wp_customize->add_setting(
    'lz_fitness_premium_team_bg_color_one', array(
        'default'           => '#4c3caf',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'lz_fitness_premium_team_bg_color_one',array(
            'settings'      => 'lz_fitness_premium_team_bg_color_one',
            'section'       => 'lz_fitness_ct_team_section',
            'label'         => __( 'Select Team Member Image Overlay Hover Background Gradient Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'lz_fitness_premium_team_bg_color_two', array(
        'default'           => '#b04fe1',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'lz_fitness_premium_team_bg_color_two',array(
            'settings'      => 'lz_fitness_premium_team_bg_color_two',
            'section'       => 'lz_fitness_ct_team_section',
            'label'         => __( 'Select Team Member Image Overlay Hover Background Gradient Color Two ', 'Luzuk Premium' ),
        )
    )
); 

// member name color
//addColorPalatOption($wp_customize, 'lz_fitness_team_imgoverlayhvrbgssColor', 'lz_fitness_ct_team_section', 'Select Team Member Image Hover Overlay Background color', '#6843c4');

addColorPalatOption($wp_customize, 'lz_fitness_team_teammembernameColor', 'lz_fitness_ct_team_section', 'Select Team Member Name Text color', '#303030');
addColorPalatOption($wp_customize, 'lz_fitness_team_teammembernametxthvrColor', 'lz_fitness_ct_team_section', 'Select Team Member Name Text Hover color', '#6843c4');

addColorPalatOption($wp_customize, 'lz_fitness_team_teammembernamehghtbrssColor', 'lz_fitness_ct_team_section', 'Select Team Member Name Text hover highlight border color', '#6843c4');

addColorPalatOption($wp_customize, 'lz_fitness_team_teammemberdesignationtxtColor', 'lz_fitness_ct_team_section', 'Select Team Member Designation Text color', '#626262');


addColorPalatOption($wp_customize, 'lz_fitness_team_SocialcolorColor', 'lz_fitness_ct_team_section', 'Select Social Icon color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_team_SocialiconhvrColor', 'lz_fitness_ct_team_section', 'Select Social Icon Hover color', '#fff');
addColorPalatOption($wp_customize, 'lz_fitness_team_SocialiconborderhvrColor', 'lz_fitness_ct_team_section', 'Select Social Icon Border Hover color', '#c6c6c6');

addColorPalatOption($wp_customize, 'lz_fitness_team_SocialiconbgssColor', 'lz_fitness_ct_team_section', 'Select Social Icon Background color', '#0f0f0f');
addColorPalatOption($wp_customize, 'lz_fitness_team_SocialiconbgsshvrColor', 'lz_fitness_ct_team_section', 'Select Social Icon Background Hover color', '#6843c4');
